.intro {
  text-align: center;
  line-height: 2em;
  margin: 0;
  font-size: 0.8em;
  font-family: "Helvetica Neue", "Helvetica", sans-serif;
}

.container {
  width: 640px;
  height: 1136px;
  border-radius: 80px;
  padding: 160px 30px;
  background-color: #333;
  display: block;
  margin: 60px auto;
  transform: scale(0.5) translateY(-50%);
}

.wrapper {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  background-color: #fdfdfd;
  overflow: hidden;
  position: relative;
}

.header {
  display: block;
}

h1 {
  font-family: "Futura", sans-serif;
  color: #333;
  text-align: center;
  line-height: 142px;
  margin: 0;
  text-transform: uppercase;
}

.menu-toggle {
  position: absolute;
  top: 0;
  left: 0;
  font-size: 3em;
  width: 142px;
  height: 142px;
  text-align: center;
  line-height: 142px;
  display: block;
}

.menu {
  position: absolute;
  top: 0;
  bottom: 0;
  list-style: none;
  margin: 0;
  padding: 0;
  transition: all 0.3s ease;
  perspective: 2000px;
}

.item {
  background-color: #33334c;
  border-top: 1px solid #182844;
  border-bottom: 1px solid #253149;
  color: white;
  width: 142px;
  height: 142px;
  line-height: 142px;
  display: block;
  text-align: center;
  transition: transform 0.6s ease, background-color 0.1s 0.15s ease;
  transform-origin: left center;
  position: relative;
  text-decoration: none;
  font-size: 3em;
}
.item:active {
  background-color: #d64a73;
  color: white;
  transition: all 0.2s 0 ease;
}

.menu--is-closed {
  pointer-events: none;
}
.menu--is-closed .item {
  transform: rotateY(180deg);
  background-color: #272841;
}

.item-0 {
  transition-delay: 0.7s;
  z-index: 0;
}

.menu--is-closed .item-0 {
  transition-delay: 0s;
}

.item-1 {
  transition-delay: 0.6s;
  z-index: 1;
}

.menu--is-closed .item-1 {
  transition-delay: 0.1s;
}

.item-2 {
  transition-delay: 0.5s;
  z-index: 2;
}

.menu--is-closed .item-2 {
  transition-delay: 0.2s;
}

.item-3 {
  transition-delay: 0.4s;
  z-index: 3;
}

.menu--is-closed .item-3 {
  transition-delay: 0.3s;
}

.item-4 {
  transition-delay: 0.3s;
  z-index: 4;
}

.menu--is-closed .item-4 {
  transition-delay: 0.4s;
}

.item-5 {
  transition-delay: 0.2s;
  z-index: 5;
}

.menu--is-closed .item-5 {
  transition-delay: 0.5s;
}

.item-6 {
  transition-delay: 0.1s;
  z-index: 6;
}

.menu--is-closed .item-6 {
  transition-delay: 0.6s;
}

.item-7 {
  transition-delay: 0s;
  z-index: 7;
}

.menu--is-closed .item-7 {
  transition-delay: 0.7s;
}